DROP TABLE JPA_SAMPLE_EMPLOYEE;
DROP TABLE JPA_SAMPLE_DEPARTMENT;

CREATE TABLE JPA_SAMPLE_DEPARTMENT(
    DEPARTMENT_ID NUMBER(10) CONSTRAINT PK_DEPARTMENT PRIMARY KEY,
    DEPARTMENT_NAME VARCHAR2(32),
    DEPARTMENT_VERSION NUMBER(10)
);

CREATE TABLE JPA_SAMPLE_EMPLOYEE(
    ID NUMBER(10) CONSTRAINT PK_EMPLOYEE PRIMARY KEY,
    NAME VARCHAR2(32),
    DEPARTMENT_ID NUMBER(10),
    SALARY NUMBER(10),
    EMPLOYEE_VERSION NUMBER(10),
    CONSTRAINT FK_EMPLOYEE FOREIGN KEY(DEPARTMENT_ID) 
            REFERENCES JPA_SAMPLE_DEPARTMENT(DEPARTMENT_ID)
);

INSERT INTO JPA_SAMPLE_DEPARTMENT (DEPARTMENT_ID, DEPARTMENT_NAME, DEPARTMENT_VERSION) VALUES(
'1','Sales','1'
);
INSERT INTO JPA_SAMPLE_DEPARTMENT (DEPARTMENT_ID, DEPARTMENT_NAME, DEPARTMENT_VERSION) VALUES(
'2','Human resource','1'
);


INSERT INTO JPA_SAMPLE_EMPLOYEE (ID, NAME, DEPARTMENT_ID, SALARY, EMPLOYEE_VERSION) VALUES(
'1','George','1','100000','1'
);
INSERT INTO JPA_SAMPLE_EMPLOYEE (ID, NAME, DEPARTMENT_ID, SALARY, EMPLOYEE_VERSION) VALUES(
'2','John','1','200000','1'
);
INSERT INTO JPA_SAMPLE_EMPLOYEE (ID, NAME, DEPARTMENT_ID, SALARY, EMPLOYEE_VERSION) VALUES(
'3','Thomas','1','300000','1'
);
INSERT INTO JPA_SAMPLE_EMPLOYEE (ID, NAME, DEPARTMENT_ID, SALARY, EMPLOYEE_VERSION) VALUES(
'4','James','2','400000','1'
);
INSERT INTO JPA_SAMPLE_EMPLOYEE (ID, NAME, DEPARTMENT_ID, SALARY, EMPLOYEE_VERSION) VALUES(
'5','Andrew','2','500000','1'
);
COMMIT;

EXIT
