/*
 * All Rights Reserved. Copyright (C) 2008, Hitachi, Ltd.
 */
package employeeinfo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Version;

// Employee Entity.
@Entity
@Table(name = "JPA_SAMPLE_EMPLOYEE")
public class Employee {
	private int id;

	private String name;

	private int salary;

	private int employeeVersion;

	private Department department;

	// Constructor
	public Employee() {
	}

	// Gets the primary key of the Employee entity.
	@Id
	public int getId() {
		return id;
	}

	// Sets the primary key of the Employee entity.
	public void setId(int id) {
		this.id = id;
	}

	// Gets the name of the Employee.
	public String getName() {
		return name;
	}

	// Sets the name of the Employee.
	public void setName(String name) {
		this.name = name;
	}

	// Gets the Department entity.
	@ManyToOne
	@JoinColumn(name = "DEPARTMENT_ID", referencedColumnName = "DEPARTMENT_ID")
	public Department getDepartment() {
		return department;
	}

	// Sets the Department entity.
	public void setDepartment(Department department) {
		this.department = department;
	}

	// Gets the salary of the Employee.
	public int getSalary() {
		return salary;
	}

	// Sets the salary of the Employee.
	public void setSalary(int salary) {
		this.salary = salary;
	}

	// Gets the version of the Employee entity for Optimistic Lock.
	@Version
	@Column(name = "EMPLOYEE_VERSION")
	public int getEmployeeVersion() {
		return employeeVersion;
	}

	// Sets the version of the Employee entity for Optimistic Lock.
	public void setEmployeeVersion(int employeeVersion) {
		this.employeeVersion = employeeVersion;
	}

	public String toString() {
		return " id=" + this.id + " name=" + this.name + " salary="
				+ this.salary + " employeeVersion=" + this.employeeVersion;
	}

}
