/*
 * All Rights Reserved. Copyright (C) 2008, Hitachi, Ltd.
 */
package employeeinfo;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.OptimisticLockException;
import javax.persistence.PersistenceContext;

// Stateless Session Bean Class.
@Stateless(name="InfoAccess")
public class EmployeeInfoEJB implements EmployeeInfo {

    @PersistenceContext
    private EntityManager em;

    public Employee findEntity(int key) {

        // Gets the value for the Employee entity.
        Employee returnEmployee = em.find(Employee.class, key);

        return returnEmployee;

    }

    public void updateEntity(Employee info) throws MyOptimisticLockException{

        try {
            Employee ret_info;
            // Merges the Employee entity into the persistence context.
            ret_info = em.merge(info);
            System.out.println("ret_info = "+ret_info);
            // Flushes the Employee entity to the Database.
            em.flush();

        } catch(OptimisticLockException ole) {

            throw new MyOptimisticLockException(ole);

        }

    }

    public void refreshEntity(Employee info)
    {
        // Refreshes the Employee entity.
        em.refresh(em.find(Employee.class, info.getId()));
    }
}
